# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define fedora 19
Name:           impressive
Version:        0.10.3
Release:        alt1_11
Summary:        A program that displays presentation slides

Group:          Office
License:        GPLv2
URL:            http://impressive.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/Impressive-%{version}.tar.gz
# Wrapper script for making sure hardware acceleration is available
Source1:        %{name}.sh
# backport PDF parser fix
Patch0:         impressive-0.10.3-parser-fix.patch
Patch1:         impressive-0.10.3-pillow-compat.patch
 
BuildArch:      noarch
BuildRequires:  python-devel
# The following requires are not picked up by rpm:
# - imported modules (required):
Requires:       opengl-games-utils
# - external tools for displaying and parsing pdf (required resp. strongly recommended):
Requires:       xpdf
%if 0%{?fedora}
Requires:       pdftk
%endif
# - external tool for acting on links (recommended):
Requires:       xdg-utils
# - font for on screen display (recommended):
Requires:       fonts-ttf-dejavu
Source44: import.info


%description
Impressive is a program that displays presentation slides. But unlike 
OpenOffice.org Impress or other similar applications, it does so with 
style. 

Smooth alpha-blended slide transitions are provided for the sake 
of eye candy, but in addition to this, Impressive offers some unique tools 
that are really useful for presentations.


%prep
%setup -q -n Impressive-%{version}
%patch0 -p1 -b .parser-fix
%patch1 -p1 -b .pillow-compat

%build
sed -e "s|@PYTHON_SITELIB@|%{python_sitelibdir_noarch}|" %{SOURCE1} > impressive.sh
# This package doesn't build anything, just copy files under build root.


%install
install -D -p -m 755 impressive.py %{buildroot}%{python_sitelibdir_noarch}/impressive.py
install -D -p -m 644 impressive.1 %{buildroot}%{_mandir}/man1/impressive.1
install -D -p -m 755 impressive.sh %{buildroot}%{_bindir}/impressive


%files
%doc changelog.txt demo.pdf impressive.html license.txt
%{_bindir}/impressive
%{python_sitelibdir_noarch}/impressive.py*
%{_mandir}/man1/impressive.1*

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.3-alt1_11
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.3-alt1_10
- initial fc import

